Jump to content

  • You cannot start a new topic
  • You cannot reply to this topic

Php Version? Rate Topic   - - - - -

 
  • Triplets
  • Senior Member
  • Members
  • Join Date: 23-Sep 08
  • 1179 posts

Posted 31 July 2019 - 01:27 AM #1

We are using CS-Cart 4.5.2.SP2, Cs-cart web site says this version supports up to PHP 7.0.

 

I installed PHP 7.1 and at quick glance all seems to be working.   What type of error should I be looking for. I have PHP set to show all errors. What is supposedly not supported in CS-Cart 4.5.2.SP2 with this version?

 

I'm not sure if all is working or not. 

 

https://docs.cs-cart...quirements.html



 
  • Triplets
  • Senior Member
  • Members
  • Join Date: 23-Sep 08
  • 1179 posts

Posted 31 July 2019 - 11:35 PM #2

I did notice i get the following order when trying to view a product using PHP 7.1

 

Warning: file_get_contents(/home/yada/public_html/store_closed.html): failed to open stream: No such file or directory in /home/yada/public_html/app/Tygh/Development.php on line 112

 

No error when I use PHP 7.0

 

Any thoughts on how to fix this error with PHP 7.1 with my cart version?